<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Documento sin t&iacute;tulo</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
</head>

<body>
<table width="950" border="0" align="center">
  <tr>
    <td>
    <p align="left" class="style4">CAPTURA MANUAL DE EXISTENCIAS :. <HR color="#CCCCCC" size="1" noshade="noshade"></p>
	  <form id="form1" name="form1" method="post" action="svcapturaexistencias.php">
	    <p align="center" class="style7">Listado de Productos
	    </p>
	    <p align="center">
          <?php
		  //VARIABLE GLOBAL 
		  //echo $clini;

echo "<table border=1  cellpadding='3' >";
echo "<tr bgcolor='#0D3356' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";


echo "<td class='style4'>";
echo "Nombre";
echo "</td>";

echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Existencia";
echo "</td>";

echo "</tr>";
include ("conexion.php");

			$query="SELECT clave,nombre,idPresentacion FROM productos";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{
				echo "<tr>";
				
				//CONSULTO LA EXISTENCIA
				$cons1="SELECT existencia FROM  almacenes WHERE idProducto='".$fila[0]."' and idClinica='$clini'";
				$res1=mysql_query($cons1,$conex) or die ("No se realizo consulta de existencias");
				$numfilas=mysql_num_rows($res1);
				//$existencia=mysql_result($res1,0,'existencia');
				
				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[2]'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');
				
				//clave
				echo "<td class='style1'>";
				echo $fila[0];
				echo "</td>";
				
				//nombre
				echo "<td class='style1'>";
				echo $fila[1];
				echo "</td>";

				//PRESENTACION
				echo "<td class='style1'>";
				echo $presen;
				echo "</td>";
				
				//EXISTENCIAS
				if($numfilas==0)
				{
					$cons11="INSERT FROM almacenes (idProducto,idClinica,existencia) VALUES ('$fila[0]','$clini','0')";
					$existe=0;
				}
				else
				{
					$existencia=mysql_result($res1,0,'existencia');
					$existe=$existencia;
				}
				echo "<td class='style4'>";
				echo "<input type='text' name='existencia[]' class='cuadrotexto' size='10' maxlength='10' value='$existe'>";
				//AGREGARE EL NUEVO INPUT CON LA CLAVE DEL PRODUCTO Y SE CREARA UN NUEVO ARRAY
				echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";
				echo "</td>";
				echo "</tr>";
			}
echo "</table>";


?>
	    <input name="clini" type="hidden" value="<?php echo $clini; ?>">
	    </p>
	    <table width="1%" border="0" align="center" cellpadding="0" cellspacing="10">
          <tr>
            <td width="46%"><input name="button" type="button" class="boton2" id="button" value="Cancelar" onclick="javascript:history.back()"></td>
            <td width="54%"><input name="Submit" type="submit" class="boton2" value="Guardar cambios" /></td>
          </tr>
        </table>
	    <p align="center">&nbsp;</p>
	  </form>
    </td>
  </tr>
</table>
</body>
</html>
